Bug 1199697 - [abrt] xfce4-panel: malloc(): wrapper killed by SIGSEGV (_gdk_x11_screen_size_changed / libxrandr:doGetScreenResources)
Summary: [abrt] xfce4-panel: malloc(): wrapper killed by SIGSEGV (_gdk_x11_screen_size...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-panel
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8b476e33d6c03c38ef75bccff0d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-07 03:26 UTC by Vinicio Valbuena
Modified: 2015-12-02 17:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 09:51:50 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (31.48 KB, text/plain)
2015-03-07 03:26 UTC, Vinicio Valbuena
no flags Details
File: cgroup (190 bytes, text/plain)
2015-03-07 03:26 UTC, Vinicio Valbuena
no flags Details
File: core_backtrace (5.70 KB, text/plain)
2015-03-07 03:26 UTC, Vinicio Valbuena
no flags Details
File: dso_list (7.27 KB, text/plain)
2015-03-07 03:26 UTC, Vinicio Valbuena
no flags Details
File: environ (1.42 KB, text/plain)
2015-03-07 03:26 UTC, Vinicio Valbuena
no flags Details
File: exploitable (82 bytes, text/plain)
2015-03-07 03:26 UTC, Vinicio Valbuena
no flags Details
File: limits (1.29 KB, text/plain)
2015-03-07 03:26 UTC, Vinicio Valbuena
no flags Details
File: maps (34.83 KB, text/plain)
2015-03-07 03:26 UTC, Vinicio Valbuena
no flags Details
File: open_fds (349 bytes, text/plain)
2015-03-07 03:26 UTC, Vinicio Valbuena
no flags Details
File: proc_pid_status (943 bytes, text/plain)
2015-03-07 03:26 UTC, Vinicio Valbuena
no flags Details
File: var_log_messages (29 bytes, text/plain)
2015-03-07 03:26 UTC, Vinicio Valbuena
no flags Details

Description Vinicio Valbuena 2015-03-07 03:26:13 UTC
Version-Release number of selected component:
xfce4-panel-4.10.1-6.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 3
cmdline:        /usr/lib64/xfce4/panel/wrapper /usr/lib64/xfce4/panel/plugins/libsystray.so 6 25165859 systray 'Notification Area' 'Area where notification icons appear' ''
crash_function: malloc
executable:     /usr/lib64/xfce4/panel/wrapper
kernel:         3.18.7-200.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #2 malloc at /lib64/libc.so.6
 #3 read_packet at xcb_in.c:254
 #4 _xcb_in_read at xcb_in.c:934
 #5 _xcb_conn_wait at xcb_conn.c:495
 #6 wait_for_reply at xcb_in.c:491
 #7 xcb_wait_for_reply at xcb_in.c:521
 #9 doGetScreenResources at XrrScreen.c:86
 #10 ??
 #11 ??

Comment 1 Vinicio Valbuena 2015-03-07 03:26:17 UTC
Created attachment 999051 [details]
File: backtrace

Comment 2 Vinicio Valbuena 2015-03-07 03:26:18 UTC
Created attachment 999052 [details]
File: cgroup

Comment 3 Vinicio Valbuena 2015-03-07 03:26:19 UTC
Created attachment 999053 [details]
File: core_backtrace

Comment 4 Vinicio Valbuena 2015-03-07 03:26:22 UTC
Created attachment 999054 [details]
File: dso_list

Comment 5 Vinicio Valbuena 2015-03-07 03:26:23 UTC
Created attachment 999055 [details]
File: environ

Comment 6 Vinicio Valbuena 2015-03-07 03:26:25 UTC
Created attachment 999056 [details]
File: exploitable

Comment 7 Vinicio Valbuena 2015-03-07 03:26:26 UTC
Created attachment 999057 [details]
File: limits

Comment 8 Vinicio Valbuena 2015-03-07 03:26:28 UTC
Created attachment 999058 [details]
File: maps

Comment 9 Vinicio Valbuena 2015-03-07 03:26:29 UTC
Created attachment 999059 [details]
File: open_fds

Comment 10 Vinicio Valbuena 2015-03-07 03:26:30 UTC
Created attachment 999060 [details]
File: proc_pid_status

Comment 11 Vinicio Valbuena 2015-03-07 03:26:31 UTC
Created attachment 999061 [details]
File: var_log_messages

Comment 12 Raphael Groner 2015-03-07 11:29:15 UTC
Hi Vinicio,
thanks for your report. Can you tell us what you've done to produce this crash?
The backtrace looks like a plugin crashed, but which one? What plugins do you use in your panel?
xrandr seems to fail to list all screen resolutions. What graphics card and screen do you have?

Comment 13 Fedora End Of Life 2015-11-04 12:52:33 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-12-02 09:51:52 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.